--- src/bluetooth/osx/osxbtledeviceinquiry.mm.orig	2017-09-23 11:23:32.000000000 -0700
+++ src/bluetooth/osx/osxbtledeviceinquiry.mm	2017-09-23 12:29:55.000000000 -0700
@@ -328,6 +328,7 @@
         return;
     }
 #endif
+#if !QT_OSX_PLATFORM_SDK_EQUAL_OR_ABOVE(101300)
     if (!peripheral.UUID) {
         qCWarning(QT_BT_OSX) << Q_FUNC_INFO << "peripheral without UUID";
         return;
@@ -339,6 +340,7 @@
         const QBluetoothUuid deviceUuid(OSXBluetooth::qt_uuid(peripheral.UUID));
         delegate->LEdeviceFound(peripheral, deviceUuid, advertisementData, RSSI);
     }
+#endif
 }
 
 - (bool)isActive
--- src/bluetooth/osx/osxbtcentralmanager.mm.orig	2017-09-23 12:33:56.000000000 -0700
+++ src/bluetooth/osx/osxbtcentralmanager.mm	2017-09-23 12:45:09.000000000 -0700
@@ -229,6 +229,7 @@
         return QLowEnergyController::NoError;
     }
 #endif
+#if !QT_OSX_PLATFORM_SDK_EQUAL_OR_ABOVE(101300)
     OSXBluetooth::CFStrongReference<CFUUIDRef> cfUuid(OSXBluetooth::cf_uuid(deviceUuid));
     if (!cfUuid) {
         qCWarning(QT_BT_OSX) << Q_FUNC_INFO << "failed to create CFUUID object";
@@ -239,6 +240,7 @@
     // Unfortunately, with old Core Bluetooth this call is asynchronous ...
     managerState = OSXBluetooth::CentralManagerConnecting;
     [manager retrievePeripherals:uuids];
+#endif
 
     return QLowEnergyController::NoError;
 }
@@ -272,7 +274,12 @@
     if (QSysInfo::MacintoshVersion >= qt_OS_limit(QSysInfo::MV_10_9, QSysInfo::MV_IOS_7_0))
         return peripheral.state == CBPeripheralStateConnected;
 #endif
+#if QT_OSX_PLATFORM_SDK_EQUAL_OR_ABOVE(101300)
+    //should never reach this point
+    return peripheral.state == CBPeripheralStateConnected;
+#else
     return peripheral.isConnected;
+#endif
 }
 
 - (void)disconnectFromDevice
